@import url("https://fonts.googleapis.com/css2?family=Electrolize&display=swap");

:root {
  --dark-text-white: white;
  --light-bg-white: #ebf1f7;
  --gray: gray;
  --dark-bg-gray: #232a32;
}

* {
  font-family: "Electrolize", monospace;
  box-sizing: border-box;
  font-optical-sizing: auto;
  color: var(--dark-text-white);
}

body {
  background-color: var(--dark-bg-gray);
  padding: 0;
  margin: 0;
}

blockquote {
  margin: 0;
  padding: 20px;
  border-left: 2px solid var(--light-bg-white);
}

figure {
  img {
    max-width: 100%;
    max-height: 40vh;
    display: block;
    margin: 20px auto;
    box-shadow:
      var(--dark-bg-gray) 8px 8px,
      var(--light-bg-white) 10px 10px;
  }
}

#top-bar {
  z-index: 999;
  border-bottom: 1px solid var(--light-bg-white);
  background-color: var(--dark-bg-gray);
  position: sticky;
  top: 0;
  padding: 20px;
  width: 100%;
  
  display: flex;
  justify-content: start;
  column-gap: 20px;
  
  a {
    color: var(--dark-text-white);
  }
}

header {
  background-color: var(--dark-bg-gray);
  border-bottom: 1px solid var(--light-bg-white);
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;

  img {
    width: 100%;
    max-height: 20vh;
    max-width: 60vw;
    aspect-ratio: 2/1;
    transform: scale(300%);
  }

  span {
    border: 2px solid var(--light-bg-white);
    font-family: monospace;
    font-size: 30pt;
    font-weight: bold;
    color: var(--white);
    
    sub {
      font-family: monospace;
      font-weight: normal;
      font-size: 15pt;
      font-style: oblique;
    }
  }
}

main {
  background-color: var(--dark-bg-gray);
  padding: 10px;
  min-height: 100%;
  max-width: 1000px;
  margin-left: auto;
  margin-right: auto;
}
